Subject: bug#64799: [PATCH] Add 'project-prompt-key' face

From: Dmitry Gutov <[email-masked]>
Date: Wed, 23 Aug 2023 18:24:52 +0300

On 23/08/2023 17:13, Visuwesh wrote:
> [புதன் ஆகஸ்ட் 23, 2023] Dmitry Gutov wrote:
> 
>> On 23/08/2023 15:18, Philip Kaludercic wrote:
>>> Would remapping help-key-binding to bold be a possible solution?
> 
> I hope not globally.
> 
>> In one specific buffer? Through a hook or something?
> 
> I was first thinking of writing an advice project--keymap-prompt to
> temporarily advice facep to return nil always in my init.el...

We can add an option, no problem.

>> It seems to me Visuwesh wants the brackets back as well. As user
>> option could do that.
> 
> I would like to have it, yes.  I am so bad at picking up different
> typefaces _and_ colours that if I don't have extra characters around, I
> fail to recognise the emphasis.  It is embarrassing, really.

Could you explain, then, why you customized help-key-binding to look 
like default? For example, the below customization would make it 
relatively close to how brackets look (but of course not exactly the same):

(set-face-attribute 'help-key-binding nil
                     :box '(:color "blue" :style released-button 
:line-width (6 . 0)))

And the two places where this face is most prominently used (the one 
under discussion, and 'M-x describe-bindings' output) seem to use the 
face fairly similarly, so it seems to make sense, no?

Anyway, if you want the option, can you suggest how it will be called? 
Will it be just boolean?